

<?php include_once('../_header.php'); ?>

<div class="box">
    <h1>Komputer</h1>
    <h4>
        <a href="#menu-toggle" class="btn btn-warning btn-xs" id="menu-toggle">MENU</a>
        <div class="pull-right">
            <a href="<?= base_url('dashboard') ?>" class="btn btn-default btn-xs"><i class="glyphicon glyphicon-home"></i></a>
            <a href="add.php" class="btn btn-success btn-xs"><i class="glyphicon glyphicon-plus"></i> Tambah Komputer</a>
        </div>
    </h4>
    <div class="table-responsive">
        <table class="table table-striped table-bordered table-hover" id="komputer">
            <thead>
                <tr>
                    <th>Kode Komputer</th>
                    <th>Nama Karyawan</th>
                    <th>CPU</th>
                    <th>RAM</th>
                    <th>STORAGE</th>
                    <th>MONITOR</th>
                    <th><i class="glyphicon glyphicon-cog"></i></th>
                </tr>
            </thead>
            <tbody>
                <?php
                $no = 1;
                $query = "SELECT * FROM tb_komputer
                            INNER JOIN tb_nama ON tb_komputer.nama_karyawan = tb_nama.id_karyawan";
                $sql_ph = mysqli_query($con, $query) or die(mysqli_error($con));
                while ($data = mysqli_fetch_array($sql_ph)) { ?>
                    <tr>
                        <td><?= $data['kd_komputer'] ?></td>
                        <td><?= $data['nama_karyawan'] ?></td>
                        <td><?= $data['cpu'] ?></td>
                        <td><?= $data['ram'] ?></td>
                        <td><?= $data['storage'] ?></td>
                        <td><?= $data['monitor'] ?></td>
                        <td>
                            <a href="edit.php?id=<?= $data['id_komputer'] ?>" class="btn btn-success btn-xs">
                                <span class="glyphicon glyphicon-edit"></span>
                            </a>
                            <a href="del.php?id=<?= $data['id_komputer'] ?>" class="btn btn-danger btn-xs" onclick="return confirm('Yakin menghapus data?')">
                                <span class="glyphicon glyphicon-trash"> </span>
                            </a>
                        </td>
                    </tr>
                <?php
                } ?>
            </tbody>

        </table>
        <!-- <div class="box pull-left">
            <a href="cetak1.php" target="_blank" class="btn btn-primary btn-sm"> <i class="glyphicon glyphicon-print"></i> Print</a>
        </div> -->
        <!-- <div class="box pull-left">
            <a class="btn btn-primary btn-sm" data-toggle="modal" data-target="#modalpr"> <i class="glyphicon glyphicon-print"></i> Print Berdasarkan Tanggal </a>
        </div> -->
        <!-- </form> -->
    </div>
</div>
<script>
    $(document).ready(function() {
        $('#komputer').DataTable({
            "processing": false,
            "serverSide": false,
            scrollY: '250px',
            dom: 'Bfrtip',
            buttons: [{
                    extend: 'pdf',
                    orientation: 'potrait',
                    pageSize: 'Legal',
                    title: 'Data komputer',
                    download: 'open'
                },
                'excel', 'print', 'copy'
            ],
            columnDefs: [{
                "searchable": true,
                "orderable": true,
                "targets": [0, 6],
            }],
            "order": [1, "asc"]
        });
    })
</script>
</div> <?php include_once('../_footer.php'); ?>